package mediaMarkt;

import java.util.Scanner;
import java.util.Vector;

public class Main {

	public static void main(String[] args) {
		Scanner reader = new Scanner(System.in);
		Vector<Electrodomestico> listaCompra = new Vector<Electrodomestico>();
		String continuar = "";
		
		//Menú de venta
		do {
			System.out.println("\nIntroduzca los datos del electrodoméstico adquirido.\n");
			
			System.out.print("Tipo: ");
			String tipo = reader.nextLine();
			
			System.out.print("Precio Base: ");
			double pBase = Double.parseDouble(reader.nextLine());
			
			Electrodomestico elec = new Electrodomestico(pBase);
			elec.setTipo(tipo);
			
			do {
				System.out.print("Color: ");
				elec.setColor(reader.nextLine().toUpperCase());
			}while(!elec.validarColor());
			
			do {
				System.out.print("Consumo Energético: ");
				elec.setConsumoEnergetico(reader.nextLine().charAt(0));
			}while(!elec.validarConsumo());
			
			do {
				System.out.print("Marca: ");
				elec.setMarca(reader.nextLine().toUpperCase());
			}while(!elec.validarMarca());
			
			System.out.println(String.format("\nPrecio Final: %.2f\n", elec.precioFinal()));
			
			//Añadimos a la lista de la compra
			listaCompra.add(elec);
			
			System.out.print("¿Desea registrar otro electrodoméstico? [s/n]: ");
			continuar = reader.nextLine().toLowerCase();
		} while(continuar.equals("s"));

		//Generamos factura
		System.out.println("\n\tFACTURA DE COMPRA\n");
		System.out.println("Cantidad de electromésticos adquiridos: " + listaCompra.size());
		System.out.println("\nRelación de productos:");
		double sumaTotal = 0d;
		for (Electrodomestico e: listaCompra) {
			System.out.println(String.format("-> Tipo: %s -- PVP: %.2f", e.getTipo(), e.precioFinal()));
			sumaTotal += e.precioFinal();
		}
		System.out.println(String.format("\nPrecio final (IVA incluido): %.2f", sumaTotal));
		
		System.out.println("\n\n\t\tFIN DE PROGRAMA");
		reader.close();
	}

}
